Compare commits

...
Sign in to create a new pull request.

9 commits

Author SHA1 Message Date
Till Maas
037c89fc98 2015-12-06: Retired orphaned package, because it was orphaned for
more than six weeks.
2015-12-06 18:40:51 +01:00
Matthias Saou
6c4dd9f2c9 Merge branch 'el6' into el5 2012-04-03 10:58:11 +02:00
Matthias Saou
beadb5ce35 Update to 1.34 and spec file cleanups 2012-04-03 10:54:21 +02:00
Fedora Release Engineering
8397275966 dist-git conversion 2010-07-29 09:40:58 +00:00
Fedora Release Engineering
01588f2d0a dist-git conversion 2010-07-29 09:40:56 +00:00
Dennis Gilmore
3b41af86c8 Initialize branch EL-6 for postgrey 2010-05-08 02:16:42 +00:00
Bill Nottingham
0d759e9799 Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:43:50 +00:00
Bill Nottingham
6739d15767 Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:43:50 +00:00
Warren Togami
2162779cc5 Initialize branch EL-5 for postgrey 2007-02-26 19:26:47 +00:00
8 changed files with 3 additions and 357 deletions

View file

@ -1 +0,0 @@
postgrey-1.32.tar.gz

View file

@ -1,21 +0,0 @@
# Makefile for source rpm: postgrey
# $Id$
NAME := postgrey
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)

View file

@ -1,21 +0,0 @@
To make use of postgrey, edit your configuration files:
/etc/postfix/main.cf:
smtpd_recipient_restrictions = ...
check_policy_service unix:postgrey/socket, ...
Or if you like to use inet sockets (modify the IP if needed):
/etc/sysconfig/postgrey:
options="--inet=127.0.0.1:10023"
/etc/postfix/main.cf:
smtpd_recipient_restrictions = ...
check_policy_service inet:127.0.0.1:10023, ...
And don't forget to activate the service on startup!

3
dead.package Normal file
View file

@ -0,0 +1,3 @@
2015-12-06: Retired orphaned package, because it was orphaned for
more than six weeks.

View file

@ -1,21 +0,0 @@
diff -Naupr postgrey-1.28.orig/postgrey postgrey-1.28/postgrey
--- postgrey-1.28.orig/postgrey 2007-06-21 15:44:54.000000000 +0200
+++ postgrey-1.28/postgrey 2007-06-22 16:17:31.000000000 +0200
@@ -486,7 +486,7 @@ sub main()
port => [ $opt{inet} ? $opt{inet} : $opt{unix}."|unix" ],
proto => $opt{inet} ? 'tcp' : 'unix',
user => $opt{user} || 'postgrey',
- group => $opt{group} || 'nogroup',
+ group => $opt{group} || 'postgrey',
dbdir => $opt{dbdir} || $DEFAULT_DBDIR,
setsid => $opt{daemonize} ? 1 : undef,
pid_file => $opt{daemonize} ? $opt{pidfile} : undef,
@@ -663,7 +663,7 @@ B<postgrey> [I<options>...]
-d, --daemonize run in the background
--pidfile=PATH put daemon pid into this file
--user=USER run as USER (default: postgrey)
- --group=GROUP run as group GROUP (default: nogroup)
+ --group=GROUP run as group GROUP (default: postgrey)
--dbdir=PATH put db files in PATH (default: /var/spool/postfix/postgrey)
--delay=N greylist for N seconds (default: 300)
--max-age=N delete entries older than N days since the last time

View file

@ -1,113 +0,0 @@
#!/bin/sh
#
# postgrey Postfix Greylisting Policy Server
#
# chkconfig: - 79 31
# description: Postfix Greylisting Policy Server
### BEGIN INIT INFO
# Provides: postgrey
# Required-Start: $local_fs $network
# Required-Stop: $local_fs $network
# Should-Start:
# Should-Stop:
# Default-Start:
# Default-Stop: 0 1 2 3 4 5 6
# Short-Description: Postfix Greylisting Policy Server
# Description: Postgrey is a Postfix policy server implementing
# greylisting. When a request for delivery of a mail is
# received by Postfix via SMTP, the triplet CLIENT_IP /
# SENDER / RECIPIENT is built. If it is the first time
# that this triplet is seen, or if the triplet was first
# seen less than 5 minutes, then the mail gets rejected
# with a temporary error.
### END INIT INFO
# Source function library.
. /etc/rc.d/init.d/functions
exec="/usr/sbin/postgrey"
prog="postgrey"
options="--unix=/var/spool/postfix/postgrey/socket"
[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
lockfile=/var/lock/subsys/$prog
start() {
[ -x $exec ] || exit 5
echo -n $"Starting $prog: "
daemon $exec -d $options
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc $prog
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
start
}
reload() {
echo -n $"Reloading $prog: "
killproc $prog -HUP
retval=$?
echo
return $retval
}
force_reload() {
restart
}
rh_status() {
status $prog
}
rh_status_q() {
rh_status &>/dev/null
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View file

@ -1,179 +0,0 @@
%define confdir %{_sysconfdir}/postfix
Summary: Postfix Greylisting Policy Server
Name: postgrey
Version: 1.32
Release: 2%{?dist}
# File headers only state "GNU GPL", but the LICENSE sections state v2 and "any
# later version"
License: GPLv2+
Group: System Environment/Daemons
URL: http://postgrey.schweikert.ch/
Source0: http://postgrey.schweikert.ch/pub/postgrey-%{version}.tar.gz
Source1: postgrey.init
Source2: README-rpm
Patch0: postgrey-1.28-group.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# We require postfix for its directories and gid
Requires: postfix
Requires(pre): /usr/sbin/useradd
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service
BuildArch: noarch
%description
Postgrey is a Postfix policy server implementing greylisting. When a request
for delivery of a mail is received by Postfix via SMTP, the triplet CLIENT_IP /
SENDER / RECIPIENT is built. If it is the first time that this triplet is
seen, or if the triplet was first seen less than 5 minutes, then the mail gets
rejected with a temporary error. Hopefully spammers or viruses will not try
again later, as it is however required per RFC.
%prep
%setup -q
%patch0 -p1 -b .group
%{__install} -p -m 0644 %{SOURCE2} README-rpm
%build
# We only have perl scripts, so just "build" the man page
pod2man \
--center="Postgrey Policy Server for Postfix" \
--section="8" \
postgrey > postgrey.8
%install
%{__rm} -rf %{buildroot}
# Configuration files
%{__mkdir_p} %{buildroot}%{confdir}
%{__install} -p -m 0644 postgrey_whitelist_{clients,recipients} \
%{buildroot}%{confdir}/
# Local whitelist file
echo "# Clients that should not be greylisted. See postgrey(8)." \
> %{buildroot}%{confdir}/postgrey_whitelist_clients.local
# Main script
%{__install} -D -p -m 0755 postgrey %{buildroot}%{_sbindir}/postgrey
# Spool directory
%{__mkdir_p} %{buildroot}%{_var}/spool/postfix/postgrey
# Init script
%{__install} -D -p -m 0755 %{SOURCE1} \
%{buildroot}%{_sysconfdir}/rc.d/init.d/postgrey
# Man page
%{__install} -D -p -m 0644 postgrey.8 \
%{buildroot}%{_mandir}/man8/postgrey.8
# Optional report script
%{__install} -D -p -m 0755 contrib/postgreyreport \
%{buildroot}%{_sbindir}/postgreyreport
%clean
%{__rm} -rf %{buildroot}
%pre
/usr/sbin/useradd -d %{_var}/spool/postfix/postgrey -s /sbin/nologin \
-M -r postgrey &>/dev/null || :
%post
/sbin/chkconfig --add postgrey
%preun
if [ $1 -eq 0 ]; then
/sbin/service postgrey stop &>/dev/null || :
/sbin/chkconfig --del postgrey
fi
%postun
if [ $1 -ge 1 ]; then
/sbin/service postgrey condrestart &>/dev/null || :
fi
%files
%defattr(-,root,root,-)
%doc Changes COPYING README README-rpm
%{_sysconfdir}/rc.d/init.d/postgrey
%config(noreplace) %{confdir}/postgrey_whitelist_clients
%config(noreplace) %{confdir}/postgrey_whitelist_recipients
%config(noreplace) %{confdir}/postgrey_whitelist_clients.local
%{_sbindir}/postgrey
%{_sbindir}/postgreyreport
%{_mandir}/man8/postgrey.8*
%dir %attr(0751,postgrey,postfix) %{_var}/spool/postfix/postgrey/
%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 1.32-1
- Update to 1.32.
- Update init script to the new style.
- Slightly update README-rpm instructions.
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Thu May 22 2008 Matthias Saou <http://freshrpms.net/> 1.31-1
- Update to 1.31.
* Mon Aug 6 2007 Matthias Saou <http://freshrpms.net/> 1.30-1
- Update to 1.30.
- Update License field.
* Fri Jun 22 2007 Matthias Saou <http://freshrpms.net/> 1.28-1
- Update to 1.28.
- Update URL to the new homepage.
* Mon Feb 12 2007 Matthias Saou <http://freshrpms.net/> 1.27-4
- Silence %%setup.
- Fix init script mode in the srpm.
- Remove explicit perl(IO::Multiplex) requirement, not needed on FC6 (but
probably still on RHEL4).
- Add a comment line to the empty local whitelist file.
* Mon Dec 4 2006 Matthias Saou <http://freshrpms.net/> 1.27-3
- Add man page generation (Mike Wohlgemuth).
* Fri Dec 1 2006 Matthias Saou <http://freshrpms.net/> 1.27-2
- Include postgreyreport script.
* Mon Nov 6 2006 Matthias Saou <http://freshrpms.net/> 1.27-1
- Spec file cleanup.
* Wed Jan 18 2006 Levente Farkas <lfarkas@lfarkas.org> 1.24
- some minor changes thanks to Peter Bieringer <pb@bieringer.de>
* Mon Jan 16 2006 Levente Farkas <lfarkas@lfarkas.org> 1.24
- upgrade to 1.24
* Sun Nov 13 2005 Levente Farkas <lfarkas@lfarkas.org> 1.22
- upgrade to 1.22
* Mon Aug 22 2005 Levente Farkas <lfarkas@lfarkas.org> 1.21
- spec file update from Luigi Iotti <luigi@iotti.biz>
* Thu Apr 28 2005 Levente Farkas <lfarkas@lfarkas.org> 1.21
- update to 1.21
* Tue Mar 8 2005 Levente Farkas <lfarkas@lfarkas.org> 1.18
- update to 1.18
* Tue Dec 14 2004 Levente Farkas <lfarkas@lfarkas.org> 1.17
- update to 1.17
* Wed Jul 14 2004 Levente Farkas <lfarkas@lfarkas.org> 1.14
- guard the pre and post scripts
* Wed Jul 7 2004 Levente Farkas <lfarkas@lfarkas.org> 1.13
- initial release 1.13

View file

@ -1 +0,0 @@
524a4e165bf997996f3bccade394712f postgrey-1.32.tar.gz